GCLOUD_DEPLOYMENT-MANAGER_OPERATIONS_WAIT(1)

NAME

gcloud deployment-manager operations wait - wait for all operations specified to complete before returning

SYNOPSIS

gcloud deployment-manager operations wait OPERATION_NAME [OPERATION_NAME ...] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Polls until all operations have finished, then prints the resulting operations along with any operation errors.

POSITIONAL ARGUMENTS

    OPERATION_NAME [OPERATION_NAME ...]
        Operation name.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To poll until an operation has completed, run:
    $ gcloud deployment-manager operations wait operation-name
To poll until several operations have all completed, run:
    $ gcloud deployment-manager operations wait operation-one \
        operation-two operation-three